commit:     060ccbe3b7195c651ca3dbf019edc464b703b391
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Mar  3 19:44:42 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Mar  3 19:52:53 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=060ccbe3

dev-python/sentry-sdk: version bump 1.0.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-python/sentry-sdk/Manifest                |  1 +
 dev-python/sentry-sdk/sentry-sdk-1.0.0.ebuild | 69 +++++++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/dev-python/sentry-sdk/Manifest b/dev-python/sentry-sdk/Manifest
index 22d48d58ece..c01233a853a 100644
--- a/dev-python/sentry-sdk/Manifest
+++ b/dev-python/sentry-sdk/Manifest
@@ -2,3 +2,4 @@ DIST sentry-sdk-0.19.5.tar.gz 206164 BLAKE2B 
9d7ce2a64fcb511c659188dc18bc4af1805
 DIST sentry-sdk-0.20.1.tar.gz 210762 BLAKE2B 
64ff322667374c914aa00a80ffa5eca2d92ec0965bc6bf7bdc65cf89e75a3cd5f5db32cd7e442caae515348b1f7948209e9810729f4fbc913730337f06444b73
 SHA512 
cd7871bd3da31340752477058fcf788401910a4e0b4ac38d53beafbedcdfe62b3216d6d2bcf2d1998e8c3e02886da76f6a8aa2809ba1e473421f96257890e75c
 DIST sentry-sdk-0.20.2.tar.gz 210799 BLAKE2B 
7a7b4350b664ee6947fcba64aa07a4e9f8ec274de7433d64acce55d490ea91f97a19ab7116e7af3109f806c91261f50127c72627bca1bbf76c43ad4ac89455e2
 SHA512 
3fb2d4ae960c86582e778afb0fdf12f3ff9103a83fb12a6c920bd6fe1e210842d29d2cfba12c254199a491a5b42288df0c388b37a8709fdabc9e6e9687b178c1
 DIST sentry-sdk-0.20.3.tar.gz 212130 BLAKE2B 
48084039c493ca2903f56426913ea8f8f0480b759157270fe6ea4dfae72f9478d8566f8a86f6f863c06adb01379e980d5f873372f401a8d3f255f62f8a149b45
 SHA512 
0392fcf0e718f7d06200fa44fedf1aac46a2f61d11a8252ca339652d5385a377545128c1c4b9e31e1e1a8c8c9a8c57ded569b829312a748d84ad98696a897944
+DIST sentry-sdk-1.0.0.tar.gz 213707 BLAKE2B 
9fa3dfac7d82c9e2c81be6f4edafbc27ab19a2a96876885dabe72d2dbd6cf392b80e453c640affb94d84f35b227b12d56927bec88e01a0ebfdcf8a466470a909
 SHA512 
e91ede3e5e31c2acba7094bd5c6a95280aa8367b1fcd524fc9b100d2a3a253efec1ed3d9c72465f5b2ef5276c834906d622b84e1650b65d2032f4acaf2fd1ab8

diff --git a/dev-python/sentry-sdk/sentry-sdk-1.0.0.ebuild 
b/dev-python/sentry-sdk/sentry-sdk-1.0.0.ebuild
new file mode 100644
index 00000000000..1c883d19238
--- /dev/null
+++ b/dev-python/sentry-sdk/sentry-sdk-1.0.0.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python client for Sentry"
+HOMEPAGE="https://sentry.io/ https://pypi.org/project/sentry-sdk/";
+SRC_URI="https://github.com/getsentry/sentry-python/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+S="${WORKDIR}/sentry-python-${PV}"
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86"
+
+RDEPEND="
+       dev-python/urllib3[${PYTHON_USEDEP}]
+       dev-python/certifi[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/asttokens[${PYTHON_USEDEP}]
+               dev-python/django[${PYTHON_USEDEP}]
+               dev-python/executing[${PYTHON_USEDEP}]
+               dev-python/eventlet[${PYTHON_USEDEP}]
+               dev-python/fakeredis[${PYTHON_USEDEP}]
+               dev-python/flask-login[${PYTHON_USEDEP}]
+               dev-python/gevent[${PYTHON_USEDEP}]
+               dev-python/jsonschema[${PYTHON_USEDEP}]
+               dev-python/pyrsistent[${PYTHON_USEDEP}]
+               dev-python/pytest-aiohttp[${PYTHON_USEDEP}]
+               dev-python/pytest-django[${PYTHON_USEDEP}]
+               dev-python/pytest-forked[${PYTHON_USEDEP}]
+               dev-python/pytest-localserver[${PYTHON_USEDEP}]
+               dev-python/werkzeug[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+       local deselect=(
+               # tests require Internet access
+               tests/integrations/stdlib/test_httplib.py
+               tests/integrations/requests/test_requests.py
+               # wtf is it supposed to do?!
+               tests/integrations/gcp/test_gcp.py
+               # hangs
+               'tests/test_transport.py::test_transport_works[eventlet'
+               # TODO
+               
'tests/test_basics.py::test_auto_enabling_integrations_catches_import_error'
+               tests/test_client.py::test_databag_depth_stripping
+               tests/test_client.py::test_databag_string_stripping
+               tests/test_client.py::test_databag_breadth_stripping
+               # test_circular_references: apparently fragile
+               
'tests/integrations/threading/test_threading.py::test_circular_references'
+               # test for new feature, fails with IndexError
+               
tests/integrations/wsgi/test_wsgi.py::test_session_mode_defaults_to_request_mode_in_wsgi_handler
+       )
+
+       # Prevent tests/integrations/modules/test_modules.py:test_basic failure
+       # Needs to detect sentry-sdk in the installed modules
+       distutils_install_for_testing
+
+       pytest -vv ${deselect[@]/#/--deselect } || die "Tests failed with 
${EPYTHON}"
+}

Reply via email to